cURL
curl --request GET \
--url https://test.deribit.com/api/v2/public/get_apr_history \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 1,
"method": "public/get_apr_history",
"params": {
"currency": "steth",
"limit": 5
}
}
'import requests
url = "https://test.deribit.com/api/v2/public/get_apr_history"
payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "public/get_apr_history",
"params": {
"currency": "steth",
"limit": 5
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'public/get_apr_history',
params: {currency: 'steth', limit: 5}
})
};
fetch('https://test.deribit.com/api/v2/public/get_apr_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"data": [
{
"day": 20200,
"apr": 2.814
},
{
"day": 20199,
"apr": 2.749
},
{
"day": 20198,
"apr": 2.684
},
{
"day": 20197,
"apr": 2.667
},
{
"day": 20196,
"apr": 2.722
}
],
"continuation": 20196
}
}Market Data
public/get_apr_history
Retrieves historical Annual Percentage Rate (APR) data for yield-generating tokens. APR represents the annualized return rate for holding these tokens on Deribit.
This method is only applicable to yield-generating tokens: USDE, STETH, USDC, and BUILD. Use the limit parameter to specify the number of days to retrieve (default 365, maximum 365), and before to retrieve APR history before a specific epoch day.
๐ Related Support Article: Yield reward-bearing coins
cURL
Query Parameters
Currency for which to retrieve APR history
Available options:
usde, steth, usdc, build Example:
"steth"
Number of days to retrieve (default 365, maximum 365)
Example:
5
Used to receive APR history before given epoch day
Response
200 - application/json
Success response
The JSON-RPC version (2.0)
Available options:
2.0 The id that was sent in the request
Was this page helpful?
โI